wxWidgets: wxFileType::MessageParameters Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxFileType::MessageParameters Class Reference

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/mimetype.h>`

## Detailed Description

Class representing message parameters.

An object of this class may be passed to wxFileType::GetOpenCommand() and GetPrintCommand() if more than the file name needs to be specified.

## Public Member Functions
| MessageParameters ()
| Trivial default constructor. More...
| MessageParameters (const wxString &filename, const wxString &mimetype=wxEmptyString)
| Constructor taking a filename and a mime type. More...
const wxString & | GetFileName () const
| Return the filename. More...
const wxString & | GetMimeType () const
| Return the MIME type. More...
virtual wxString | GetParamValue (const wxString &name) const
| Overridable method for derived classes. Returns empty string by default. More...
virtual | ~MessageParameters ()
| Trivial but virtual dtor as this class can be inherited from. More...

## Constructor & Destructor Documentation

## ◆ MessageParameters() [1/2]

wxFileType::MessageParameters::MessageParameters | ( |  | ) |

Trivial default constructor.

## ◆ MessageParameters() [2/2]

wxFileType::MessageParameters::MessageParameters | ( | const wxString & | filename,
|  | const wxString & | mimetype = `wxEmptyString`
| ) |  |

Constructor taking a filename and a mime type.

## ◆ ~MessageParameters()

virtual wxFileType::MessageParameters::~MessageParameters | ( |  | ) |
| virtual

Trivial but virtual dtor as this class can be inherited from.

## Member Function Documentation

## ◆ GetFileName()

const wxString& wxFileType::MessageParameters::GetFileName | ( |  | ) | const

Return the filename.

## ◆ GetMimeType()

const wxString& wxFileType::MessageParameters::GetMimeType | ( |  | ) | const

Return the MIME type.

## ◆ GetParamValue()

virtual wxString wxFileType::MessageParameters::GetParamValue | ( | const wxString & | name | ) | const
| virtual

Overridable method for derived classes. Returns empty string by default.